@import "nanogram/nanogram";

.body {
  /* Use body class and don't extend grid, footer unsticks */
  width: 100%;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: $background-color;
}

.body > * { flex: 1 1 auto }

.divider {
  align-self: center;
  margin: $leading;
  width: 60%;
}

.main {
  @extend .container;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

header {
  h1 { text-align: center }
}

.front-page,
.item,
.post {
  ul li:before {
    content: "\2014\ "; // unicode for "&mdash; "
    color: $border-color;
    font-size: 1rem;
  }
}

.centered-image {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 0;
}

@import
  "components/code",
  "components/code_theme",
  "components/headings",
  "components/table",
  "components/blockquote",
  "components/divider",
  "components/pagination",
  "components/hyperlinks";
